package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerBaseInfoDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-05-29 03:51
 */
public interface HyPartnerBaseInfoMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-05-29 03:51
     */
    int insertSelective(@Param("record") HyPartnerBaseInfoDO record);

    /**
     * 跟进ID查询
     * @param id
     * @return
     */
    HyPartnerBaseInfoDO selectById(@Param("id") Long id);


    int batchInsert(@Param("records") List<HyPartnerBaseInfoDO> records);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-05-29 03:51
     */
    int updateByPrimaryKeySelective(@Param("record") HyPartnerBaseInfoDO record);

    int updateByPrimaryKey(@Param("record") HyPartnerBaseInfoDO record);


    /**
     * 根据加盟商ID修改用户名称与手机号
     * @param userName
     * @param mobile
     * @param partnerId
     * @return
     */
    int updateByPartnerId(@Param("userName") String userName,
                          @Param("mobile") String mobile,
                          @Param("partnerId") String partnerId);

    HyPartnerBaseInfoDO getByPartnerIdAndLineId(@Param("partnerId") String partnerId, @Param("partnerLineId") Long partnerLineId);

    HyPartnerBaseInfoDO getByPartnerLineId(@Param("partnerLineId") Long partnerLineId);


    List<HyPartnerBaseInfoDO> getByPartnerLineIds(@Param("partnerLineId") List<Long> partnerLineIds);

    HyPartnerBaseInfoDO getByIdCard(@Param("idCard") String idCard);

    int cleanIdCardInfoByPartnerLineId(@Param("idCard") String idCard,
                          @Param("idCardPhotoFront") String idCardPhotoFront,
                          @Param("idCardPhotoBlack") String idCardPhotoBlack,
                          @Param("partnerLineId") Long partnerLineId);

}